/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TextareaControl } from './textarea-control';
import * as i0 from "@angular/core";
export declare class AswTextareaDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswTextareaDialog>;
    control: TextareaControl;
    constants: any;
    aswEditTextAreaForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswTextareaDialog>, control: TextareaControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: TextareaControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswTextareaDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswTextareaDialog, "asw-textarea-dialog", never, {}, {}, never, never>;
}
